import React from 'react';
import Taro from '@tarojs/taro';
import { View } from '@tarojs/components';
import { Cell, CellGroup, Field, Button } from '@antmjs/vantui';
import Uploader from '@/components/Uploader/index';

export default (props) => {

  const { orgIssue } = props;
  
  return (
    <>
      <CellGroup style={{marginTop: '20px'}}>
        <Cell title="整改结果" />        
        <Field
          readonly
          type="textarea"
          autosize={{ minHeight: '120px' }}
          value={orgIssue?.result}
        />
        <Cell
          renderTitle={
            <Uploader
              disabled
              value={orgIssue?.attachList}
            />
          }
        />
      </CellGroup>
      <View style={{marginTop: '20px', padding: 'var(--main-space)'}}>
        <View>
          <Button block type="primary">通过审核</Button>
        </View>
        <View style={{marginTop: '20px'}}>
          <Button block type="default">重新整改</Button>
        </View>
      </View>
    </>
  )
}
